Skip to main content
Ex Libris Knowledge Center

Format Identification errors after applying SP 4.1

  • Article Type: General
  • Product: Rosetta
  • Product Version: 4.1
  • Relevant for Installation Type: Local;

Problem Symptoms:
After upgrading to Rosetta 4.1, errors are seen during format identification.
For example:
ERROR [com.exlibris.core.repository.svc.impl.TaskServicesImpl] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | TSKFL95539 | Execution of Format Identification Task task threw exception:ClassNotFoundException: org.jboss.cache.CacheException
ERROR [com.exlibris.core.repository.svc.impl.TaskServicesImpl] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | java.lang.NoClassDefFoundError: org/jboss/cache/CacheException
at java.lang.Class.getDeclaredConstructors0(Native Method)
at java.lang.Class.privateGetDeclaredConstructors(Class.java:2585)
at java.lang.Class.getConstructor0(Class.java:2885)
...
2015-02-18 14:48:20,007 ERROR [com.exlibris.dps.repository.task.ValidationStackEvaluator] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | java.lang.NumberFormatException: For input string: "ClassNotFoundException"
at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
at java.lang.Long.parseLong(Long.java:441)
at java.lang.Long.valueOf(Long.java:540)
...
WARN [com.exlibris.dps.repository.task.ValidationStackEvaluator] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | VSFL95539 | Validation Stack Evaluator found that there was an error in VS
WARN [com.exlibris.dps.repository.task.ValidationStackEvaluator] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | Error Details: TaskId:48 IsSuccess:false Message:Execution of Format Identification Task task threw exception:ClassNotFoundException: org.jboss.cache.CacheException
WARN [com.exlibris.dps.repository.task.ValidationStackEvaluator] (SIP_PROCESSING_QUEUE Queue Job Receiver 78) [] | VSFL95539 | Validation Stack Evaluator setting a general error on StreamRef

Cause:
Format Library should be adjusted to use Tomcat instead of JBoss.

Resolution:
Solution: FL 3.007 was repackaged and now works well with Tomcat.
Install (or re-install, if already installed) FL 3.007 or higher.

Additional Information

Important Note:
Since FL 3.007 & 3.008 has been re-packaged to work for Tomcat, it should NOT be installed on systems running Rosetta 4.0.1 or earlier (which still uses JBoss).
If the repackaged FL 3.007 (or a higher FL version) was installed, a rollback to an older version (i.e.  FL 3.006) is advised, until the upgrade of Rosetta to 4.1 or higher.

Category: Environment


  • Article last edited: 6/7/2015